package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupSchoolTermCourseDetail;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.service.BaseService;

public interface MusicGroupSchoolTermCourseDetailService extends BaseService<Integer, MusicGroupSchoolTermCourseDetail> {

    MusicGroupSchoolTermCourseDetail findByMusicGroupId(String musicGroupId);

    HttpResponseResult upset(MusicGroupSchoolTermCourseDetail musicGroupSchoolTermCourseDetail);

    void musicSchoolTermPush(Integer tenantId);
}